#!/bin/sh

FONTDIR='gsfonts-8.11+urwcyr1.0.7~pre44'
FONTFILE=n021003l.pfb
FONTMETRICS=n021003l.afm
PSFILE=testkerning.ps

# Before running the script you have to extract the .tar.gz file
# provided by Norbert in this directory.  Let's check:

test -f $FONTDIR/$FONTFILE || exit 1


echo "%!PS" > $PSFILE

t1ascii $FONTDIR/$FONTFILE >> $PSFILE

echo -ne "\n\n% From $FONTMETRICS:\n% " >> $PSFILE

grep 'KPX W o ' "$FONTDIR/$FONTMETRICS" >> $PSFILE

cat <<'EOF' >> $PSFILE 

50 300 moveto

% In order to use unmodified kerning data from the AFM file we
% have to load the font at 1000 bp.
% The following line scales down the output by 10.
.1 dup scale

/NimbusRomNo9L/NimbusRomNo9L-Regu 1000 selectfont
(Hello W) show -76 0 rmoveto (orld) show
showpage
EOF

ps2pdf $PSFILE

#EOF
